<template>
  <back-to-top
    class="scrollTop"
    :class="{ 'vue-back-to-top--is-footer': isBackTopFooter }"
    :style="{ 'left': left }"
    text=""
    :right="right"
    :bottom="bottom"
    :scroll-fn="scrollFn"
    :visibleoffset="visibleOffset"/>
</template>

<script>
const BackToTop = process.client
  ? require('vue-backtotop').default
  : require('~/components/vue-backtotop-stub').default;

export default {
  name: 'ScrollTop',
  components: {
    BackToTop,
  },
  data() {
    return {
      isBackTopFooter: false,
      visibleOffset: 112,
      text: '',
      bottom: '2.5rem',
      right: 'auto',
      left: '0.625rem',
    };
  },
  methods: {
    scrollFn() {
      try {
        const scrollHeight = Math.max(
          document.body.scrollHeight, document.documentElement.scrollHeight,
          document.body.offsetHeight, document.documentElement.offsetHeight,
          document.body.clientHeight, document.documentElement.clientHeight
        ) - window.innerHeight;
        const scrollIndentBackTop = document.getElementsByClassName('appFooter')[0].clientHeight / 2;
        const diff = scrollHeight - window.pageYOffset;
        this.isBackTopFooter = diff < Math.abs(scrollIndentBackTop - 40 - 15);
      } catch (e) {
        this.isBackTopFooter = false;
      }
    },
  },
};
</script>

<style lang="postcss">
.scrollTop {
  .default {
    width: 56px !important;
    height: 56px !important;
    border-radius: 100% !important;
    background-color: rgba(90, 90, 90, 0.15) !important;
    background-image: url("~assets/svg/arrow/arrow-top.svg");
    background-repeat: no-repeat;
    background-position: center center;
    transition: all 0.3s;
    &:hover {
      background-color: #333333 !important;
    }
  }
  @media only screen and ( max-width: 980px ) {
    &.vue-back-to-top--is-footer {
      position: absolute;
      -webkit-transform: none !important;
      bottom: 9.9rem !important;
      transform: none !important;
    }
  }
}


</style>
